org.wso2.carbon.governance.api.wsdls.dataobjects

## Interface Wsdl

- All Superinterfaces:
    GovernanceArtifact
  All Known Implementing Classes:
    WsdlImpl

      public interface Wsdl
      extends GovernanceArtifact

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachEndpoint(Endpoint endpoint)` Attach an endpoint artifact to a WSDL artifact.
    `void` | `attachSchema(Schema schema)` Attach a schema artifact to a WSDL artifact.
    `void` | `detachEndpoint(String endpointId)` Detach an endpoint artifact from a WSDL artifact.
    `void` | `detachSchema(String schemaId)` Detach a schema artifact from a WSDL artifact.
    `Endpoint[]` | `getAttachedEndpoints()` Method to retrieve all endpoints attached to this WSDL artifact.
    `Schema[]` | `getAttachedSchemas()` Method to retrieve all schemas attached to this WSDL artifact.
    `org.apache.axiom.om.OMElement` | `getWsdlElement()` Method to obtain the WSDL element of this WSDL artifact.
    `void` | `setWsdlElement(org.apache.axiom.om.OMElement wsdlElement)` Method to set the WSDL element of this WSDL artifact.

    - ### Methods inherited from interface org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifact

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, attach, attach, attachLifecycle, checkLCItem, compareTo, detach, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getAssociatedArtifactIds, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getMediaType, getPath, getPropertyKeys, getQName, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setAttribute, setAttributes, setId, setQName, uncheckLCItem, uniqueTo, unvote, unvote, vote, vote`

- - ### Method Detail

    - #### getWsdlElement

          org.apache.axiom.om.OMElement getWsdlElement()

      Method to obtain the WSDL element of this WSDL artifact.
      Returns:
        the WSDL element.

    - #### setWsdlElement

          void setWsdlElement(org.apache.axiom.om.OMElement wsdlElement)

      Method to set the WSDL element of this WSDL artifact.
      Parameters:
        `wsdlElement` - the WSDL element.

    - #### attachSchema

          void attachSchema(Schema schema)
                     throws GovernanceException

      Attach a schema artifact to a WSDL artifact. Both the artifacts should be saved, before calling this method.
      Parameters:
        `schema` - the schema to attach.
      Throws:
        `GovernanceException` - if the operation failed.

    - #### detachSchema

          void detachSchema(String schemaId)
                     throws GovernanceException

      Detach a schema artifact from a WSDL artifact. Both the artifacts should be saved, before calling this method.
      Parameters:
        `schemaId` - the identifier of the schema to detach.
      Throws:
        `GovernanceException` - if the operation failed.

    - #### getAttachedSchemas

          Schema[] getAttachedSchemas()
                               throws GovernanceException

      Method to retrieve all schemas attached to this WSDL artifact.
      Returns:
        all schemas attached to this WSDL artifact.
      Throws:
        `GovernanceException` - if the operation failed.

    - #### attachEndpoint

          void attachEndpoint(Endpoint endpoint)
                       throws GovernanceException

      Attach an endpoint artifact to a WSDL artifact. Both the artifacts should be saved, before calling this method.
      Parameters:
        `endpoint` - the endpoint to attach.
      Throws:
        `GovernanceException` - if the operation failed.

    - #### detachEndpoint

          void detachEndpoint(String endpointId)
                       throws GovernanceException

      Detach an endpoint artifact from a WSDL artifact. Both the artifacts should be saved, before calling this method.
      Parameters:
        `endpointId` - the identifier of the endpoint to detach.
      Throws:
        `GovernanceException` - if the operation failed.

    - #### getAttachedEndpoints

          Endpoint[] getAttachedEndpoints()
                                   throws GovernanceException

      Method to retrieve all endpoints attached to this WSDL artifact.
      Returns:
        all endpoints attached to this WSDL artifact.
      Throws:
        `GovernanceException` - if the operation failed.

Copyright © 2017 WSO2. All rights reserved.